Package org.apache.synapse.commons.crypto

## Enum EncodeDecodeTypes

- java.lang.Object
- - java.lang.Enum<EncodeDecodeTypes>
  - - org.apache.synapse.commons.crypto.EncodeDecodeTypes

- All Implemented Interfaces:
    `Serializable`, `Comparable<EncodeDecodeTypes>`

      public enum EncodeDecodeTypes
      extends Enum<EncodeDecodeTypes>

  Created by rajith on 6/27/16.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASE64` |
    `BIGINTEGER16` |
    `HEX` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EncodeDecodeTypes` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EncodeDecodeTypes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE64

          public static final EncodeDecodeTypes BASE64

    - #### BIGINTEGER16

          public static final EncodeDecodeTypes BIGINTEGER16

    - #### HEX

          public static final EncodeDecodeTypes HEX

  - ### Method Detail

    - #### values

          public static EncodeDecodeTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncodeDecodeTypes c : EncodeDecodeTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncodeDecodeTypes valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null